tigase.auth

## Class BruteForceLockerBean.Key

- java.lang.Object
- - tigase.auth.BruteForceLockerBean.Key

- All Implemented Interfaces:
    TypesConverter.Parcelable
  Enclosing class:
    BruteForceLockerBean

      public static class BruteForceLockerBean.Key
      extends Object
      implements TypesConverter.Parcelable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Key()`
    `Key(String ip, String jid, String domain)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `encodeToStrings()`
    `boolean` | `equals(Object o)`
    `void` | `fillFromString(String[] encoded)`
    `String` | `getIp()`
    `String` | `getJid()`
    `int` | `hashCode()`
    `boolean` | `isJIDPresent()`
    `void` | `setIp(String ip)`
    `void` | `setJid(String jid)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Key

          public Key()

    - #### Key

          public Key(String ip,
                     String jid,
                     String domain)

  - ### Method Detail

    - #### encodeToStrings

          public String[] encodeToStrings()

      Specified by:
        `encodeToStrings` in interface `TypesConverter.Parcelable`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### fillFromString

          public void fillFromString(String[] encoded)

      Specified by:
        `fillFromString` in interface `TypesConverter.Parcelable`

    - #### getIp

          public String getIp()

    - #### setIp

          public void setIp(String ip)

    - #### getJid

          public String getJid()

    - #### setJid

          public void setJid(String jid)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### isJIDPresent

          public boolean isJIDPresent()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.